use std::sync::Arc;

use galactica_content::Content;
use galactica_util::timing::Timing;

/// External resources we need to compute time steps
pub struct PhysStepResources<'a> {
	/// Game content
	pub ct: Arc<Content>,

	/// Length of time step
	pub t: f32,

	/// Record detailed frame timing breakdown
	pub timing: &'a mut Timing,
}
